net.sf.jasperreports.util

## Class CastorUtil

- java.lang.Object
- - net.sf.jasperreports.util.CastorUtil

-     public class CastorUtil
      extends java.lang.Object

  Version:
    $Id: CastorUtil.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CastorUtil` | `getInstance(JasperReportsContext jasperReportsContext)`
    `java.lang.Object` | `read(java.io.InputStream is)`
    `static java.lang.Object` | `read(java.io.InputStream is, java.lang.Class<?> clazz)`
    `static java.lang.Object` | `read(java.io.InputStream is, org.exolab.castor.mapping.Mapping mapping)`
    `static java.lang.Object` | `read(java.io.InputStream is, java.lang.String mappingFile)`
    `static java.lang.Object` | `read(org.w3c.dom.Node node, java.lang.Class<?> clazz)`
    `static java.lang.Object` | `read(org.w3c.dom.Node node, org.exolab.castor.mapping.Mapping mapping)`
    `static java.lang.Object` | `read(org.w3c.dom.Node node, java.lang.String mappingFile)`
    `static java.lang.String` | `write(java.lang.Object object)`
    `static java.lang.String` | `write(java.lang.Object object, org.exolab.castor.mapping.Mapping mapping)`
    `static void` | `write(java.lang.Object object, org.exolab.castor.mapping.Mapping mapping, java.io.File file)`
    `static void` | `write(java.lang.Object object, org.exolab.castor.mapping.Mapping mapping, java.io.Writer writer)`
    `static java.lang.String` | `write(java.lang.Object object, java.lang.String mappingFile)`
    `static void` | `write(java.lang.Object object, java.lang.String mappingFile, java.io.File file)`
    `static void` | `write(java.lang.Object object, java.lang.String mappingFile, java.io.Writer writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CastorUtil getInstance(JasperReportsContext jasperReportsContext)

    - #### read

          public static java.lang.Object read(java.io.InputStream is,
                              java.lang.String mappingFile)

    - #### read

          public static java.lang.Object read(org.w3c.dom.Node node,
                              java.lang.String mappingFile)

    - #### read

          public static java.lang.Object read(java.io.InputStream is,
                              org.exolab.castor.mapping.Mapping mapping)

    - #### read

          public java.lang.Object read(java.io.InputStream is)

    - #### read

          public static java.lang.Object read(org.w3c.dom.Node node,
                              org.exolab.castor.mapping.Mapping mapping)

    - #### read

          public static java.lang.Object read(java.io.InputStream is,
                              java.lang.Class<?> clazz)

    - #### read

          public static java.lang.Object read(org.w3c.dom.Node node,
                              java.lang.Class<?> clazz)

    - #### write

          public static void write(java.lang.Object object,
                   java.lang.String mappingFile,
                   java.io.Writer writer)

    - #### write

          public static void write(java.lang.Object object,
                   org.exolab.castor.mapping.Mapping mapping,
                   java.io.Writer writer)

    - #### write

          public static void write(java.lang.Object object,
                   java.lang.String mappingFile,
                   java.io.File file)

    - #### write

          public static void write(java.lang.Object object,
                   org.exolab.castor.mapping.Mapping mapping,
                   java.io.File file)

    - #### write

          public static java.lang.String write(java.lang.Object object,
                               java.lang.String mappingFile)

    - #### write

          public static java.lang.String write(java.lang.Object object,
                               org.exolab.castor.mapping.Mapping mapping)

    - #### write

          public static java.lang.String write(java.lang.Object object)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com